import { Renderer2, ElementRef } from '@angular/core';
import { CalendarComponent } from './calendar.component';
import { DropdownBaseComponent } from './dropdown-base.component';
import { MaskDateDirective } from '../mask/mask-date.directive';
export declare class DatepickerComponent extends DropdownBaseComponent {
    protected _elementRef: ElementRef;
    protected _renderer: Renderer2;
    pattern: string;
    error: string;
    showError: boolean;
    inputClass: string;
    calendar: CalendarComponent;
    input: any;
    maskDateDirective: MaskDateDirective;
    dateClick(e: any): void;
    escape(e: any): void;
    focusPopup(): void;
    acceptKey(e: any): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
}
